Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class LocationBirthPlaceType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.LocationBirthPlaceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class LocationBirthPlaceType

extends Object
implements Serializable

Java class for locationBirthPlaceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="locationBirthPlaceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EBIRTH-PLACE" minOccurs="0"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
             <element name="address" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`LocationBirthPlaceType()`

Method Summary
`AddressType` | `getAddress()` Gets the value of the address property.
`CDEBIRTHPLACE` | `getCd()` Gets the value of the cd property.
`TextType` | `getText()` Gets the value of the text property.
`void` | `setAddress(AddressType value)` Sets the value of the address property.
`void` | `setCd(CDEBIRTHPLACE value)` Sets the value of the cd property.
`void` | `setText(TextType value)` Sets the value of the text property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationBirthPlaceType

    public LocationBirthPlaceType()

Method Detail

### getCd

    public CDEBIRTHPLACE getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDEBIRTHPLACE`

### setCd

    public void setCd(CDEBIRTHPLACE value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDEBIRTHPLACE`

### getText

    public TextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `TextType`

### setText

    public void setText(TextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `TextType`

### getAddress

    public AddressType getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `AddressType`

### setAddress

    public void setAddress(AddressType value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `AddressType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.